<%
' ************************************************************************
' * ASPNUKE: Free web portal in ASP                                      *
' ************************************************************************
' * ASP-Nuke 2.0 Copyright (c) 2004 by Aspnuke.it Staff                  *
' * (staff@aspnuke.it) http://www.aspnuke.it                             *
' *                                                                      *
' * Re_design by DJ (c) 2005 infoz@searchwarezz.net (paginazione)        *
' *                                                                      *
' * ASP-Nuke 1.0, 1.1, 1.2 Copyright (c) 2002-2003 by Gaetan Bouveret    *
' * (webmaster@asp-nuke.com) http://www.asp-nuke.com                     *
' *                                                                      *
' * This program is free software. You can redistribute it and/or modify *
' * it under the terms of the GNU General Public License as published by *
' * the Free Software Foundation; either version 2 of the License, or    *
' * (at your option) any later version.                                  *
' *                                                                      *
' ************************************************************************
%>
<%
	' Display the top films list (by date or by hits depending of the sort attribute
	' IN  : iTop (int) : number of results wanted
	'     : sTypeSort (string) : type of sort (date or hits)
	' OUT : -
	Sub DisplayTopFilms(iTop, sTypeSort)
		Dim oCn, oRs, rSQL, iLine, iLoop, tipoSort

		Set oCn = DBConnexion(DB_MAIN)

		rSQL = "SELECT * FROM films WHERE fValid=1"
		Select Case sTypeSort
			Case "date"
				rSQL = rSQL & " ORDER BY fDate DESC, fTitle"
				tipoSort = GetTranslation("LANG_DATE")
			Case "hits"
				rSQL = rSQL & " ORDER BY fHits DESC, fTitle"
				tipoSort = GetTranslation("LANG_HITS")
		End Select

		CreateTopTable "Topfilms_" & tipoSort , GetTranslation("LANG_TOP") & " " & iTop & " - " & GetTranslation("LANG_FILMS") & " (" & tipoSort & ")"

		Set oRs = DBRecordSet(oCn, rSQL)
		If Not oRs.EOF Then
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td>" & GetTranslation("LANG_TITLE") & "</td>" & vbCRLF
			If sTypeSort = "hits" Then
				Response.Write "    <td width=""80"" align=""center"">" & GetTranslation("LANG_HITS") & "</td>" & vbCRLF
			Else
				Response.Write "    <td width=""80"" align=""center"">" & GetTranslation("LANG_DATE") & "</td>" & vbCRLF
			End If
			Response.Write "	</td>" & vbCRLF
			Response.Write "   </tr>" & vbCRLF

			iLine = 1
			iLoop = 0
			While Not oRs.EOF And iLoop < iTop
				Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
                        Response.Write "<td colspan=""2""><a href=""" & GLOBAL_SITE_PATH & GLOBAL_SITE_FILM_PAGE & "?dl=" & oRs("fID") & """ target=""_blank"">" & Server.HTMLEncode(oRs("fTitle")) & "</a> <span class=""small""><a href=""" & GLOBAL_SITE_PATH & GLOBAL_SITE_FILMS_PAGE & "?id=" & oRs("fID") & """>" & GetTranslation("LANG_MORE_INFORMATION") & "</a></td>" & vbCRLF

				If sTypeSort = "hits" Then
					Response.Write "    <td align=""center"">" & oRs("fHits") & "</td>" & vbCRLF
				Else
					Response.Write "    <td align=""center"">" & GetDateDDMMYYYY(StringToDate(oRs("fDate"))) & "</td>" & vbCRLF
				End If
				Response.Write "	</td>" & vbCRLF
				Response.Write "   </tr>" & vbCRLF

				iLine = 1 + ((iLine-1) Xor 1)
				oRs.MoveNext
				iLoop = iLoop + 1
			Wend
			Response.Write "</table>" & vbCRLF
		Else
			Response.Write GetTranslation("LANG_EMPTY_SECTION") & vbCRLF
		End If

		CreateBottomTable ""

		oRs.Close
		Set oRs = Nothing
		oCn.close
		Set oCn = Nothing
	End Sub

	' Display information for a specific film
	' IN  : iID (int) : film's id (table films, field fID)
	' OUT : -
	Sub Displayfilm(iID)
		Dim oCn, oRs, rSQL

		Set oCn = DBConnexion(DB_MAIN)
		If (Not isnumeric (iID))  Then
			iID = 1
		End If

		rSQL = "SELECT * FROM films WHERE fValid=1 AND fID=" & iID

		Set oRs = DBRecordSet(oCn, rSQL)
		If Not oRs.EOF Then
			CreateTopTable "film", GetTranslation("LANG_FILM")

			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write "  <tr class=""tableline1"">" & vbCRLF
			Response.Write "    <td width=""100"">" & GetTranslation("LANG_TITLE") & "</td>" & vbCRLF
			Response.Write "	<td>" & Server.HTMLEncode(oRs("fTitle")) & "</td>" & vbCRLF
			Response.Write "   </tr>" & vbCRLF
			Response.Write "  <tr class=""tableline2"">" & vbCRLF
			Response.Write "    <td width=""100"">" & GetTranslation("LANG_DESCRIPTION") & "</td>" & vbCRLF
			Response.Write "	<td>" & CodeMessage(oRs("fDescription"), True) & "</td>" & vbCRLF
			Response.Write "   </tr>" & vbCRLF
			Response.Write "  <tr class=""tableline1"">" & vbCRLF
			Response.Write "    <td>" & GetTranslation("LANG_DATE") & "</td>" & vbCRLF
			Response.Write "	<td>" & GetDateDDMMYY(StringToDate(oRs("fDate"))) & "</td>" & vbCRLF
			Response.Write "   </tr>" & vbCRLF
			Response.Write "  <tr class=""tableline2"">" & vbCRLF
			Response.Write "    <td>" & GetTranslation("LANG_HITS") & "</td>" & vbCRLF
			Response.Write "	<td>" & oRs("fHits") & "</td>" & vbCRLF
			Response.Write "   </tr>" & vbCRLF
			Response.Write "  <tr class=""tableline1"">" & vbCRLF
			Response.Write "    <td>" & GetTranslation("LANG_SIZE") & "</td>" & vbCRLF
			Response.Write "	<td>"
			If oRs("fSize") < 1024 Then
				Response.Write oRs("fSize")  & " Kb"
			Else
				Response.Write Round(oRs("fSize")/1024, 1)  & " Mb"
			End If
			Response.Write "	</td>"
			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td colspan=""2"">" & GetTranslation("LANG_FILM_DO") & "</td>" & vbCRLF

                    'modifica visualizza films
			Response.Write "   <td><embed src=""" & GLOBAL_SITE_PATH & GLOBAL_SITE_FILM_PAGE & "?dl=" & ors("fid") & """ controls=""smallconsole"" width=""200"" height=""200"" loop=""false"" autostart=""false""></td>" & vbCRLF

        		Response.Write "   </tr>" & vbCRLF
			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td colspan=""2""><a href=""" & sURLPage & "?cat=" & oRs("fCategory") & """>" & GetTranslation("LANG_BACK") & "</a></td>" & vbCRLF
			Response.Write "   </tr>" & vbCRLF
			Response.Write "</table>" & vbCRLF

			CreateBottomTable ""
		End If

		oRs.Close
		Set oRs = Nothing
		oCn.close
		Set oCn = Nothing
	End Sub

	' Display all films for one category
	' IN  : iCategory (int) : film's category (table films, field nCategory)
	' OUT : -
	Sub DisplayfilmsSearch(iCategory)
		Dim oCn, oRs, rSQL, iLine, iNum, iPage, iLoop
		iNum = 0
		iPage = 10

		Set oCn = DBConnexion(DB_MAIN)

		If iCategory = "" Then
			iCategory = 0
		End If
		rSQL = "SELECT fID, fTitle, fDate, fHits FROM films WHERE fValid=1 AND fCategory=" & iCategory & " ORDER BY fTitle ASC"
		Set oRs = DBPageRecordSet(oCn, rSQL, iPage)

		If Not oRs.EOF Then
			CreateTopTable "filmsByCategory", GetTranslation("LANG_FILMS")
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td>" & GetTranslation("LANG_TITLE") & "</td>" & vbCRLF
			Response.Write "    <td width=""120"" align=""center"">" & GetTranslation("LANG_DATE") & "</td>" & vbCRLF
			Response.Write "    <td width=""100"" align=""center"">" & GetTranslation("LANG_HITS") & "</td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF

			iLine = 1
			iLoop = 0
			While Not (oRs.EOF Or iLoop = oRs.pagesize)
				Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
				Response.Write "    <td><a href=""" & sURLPage & "?id=" & CStr(oRs("fID")) & """>" & Server.HTMLEncode(oRs("fTitle")) & "</td>" & vbCRLF
				Response.Write "    <td width=""120"" align=""center"">" & GetDateDDMMYY(StringToDate(oRs("fDate"))) & "</td>" & vbCRLF
				Response.Write "    <td width=""100"" align=""center"">" & CStr(oRs("fHits")) & "</td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF

				iLine = 1 + ((iLine-1) Xor 1)
				iNum = iNum + 1
				oRs.MoveNext
				iLoop = iLoop + 1
			Wend

			Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
			Response.Write "    <td colspan=""3"">" & GetTranslation("LANG_FILMS_TOTAL") & " : " & iNum & "</td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "</table>" & vbCRLF

			CreateBottomTable ""
			ManagePage sURLPage & "?cat=" & iCategory, GetTranslation("LANG_FILMS")
		End If

		oRs.Close
		Set oRs = Nothing
		oCn.close
		Set oCn = Nothing
	End Sub

	' Display a navigation bar for films
	' IN  : iCategoryParent (int) : category's parent id (table categories, field cParent)
	' OUT : -
	Sub DisplayfilmsNavigation(iCategoryParent)
		Dim oCn, oRs, oRs2, rSQL, iLine, iNum

		Set oCn = DBConnexion(DB_MAIN)

		If iCategoryParent = "" Then
			iCategoryParent = 0
		End If
		If iCategoryParent <> 0 Then
			rSQL = "SELECT cId, cParent, cTitle, cDescription, cImage FROM categories WHERE cID=" & iCategoryParent
			Set oRs = DBRecordSet(oCn, rSQL)

			If Not oRs.EOF Then
				CreateTopTable "filmCategory", CodeMessage(oRs("cTitle"), True)
				If oRs("cImage") <> "" Then
					Response.Write "<img src=""" & Server.HTMLEncode(oRs("cImage") & "") & """ border=""0"" align=""left"">"
				End If
				Response.Write CodeMessage(oRs("cDescription"), False)
				Response.Write "<br/><br/><a href=""" & sURLPage & "?cat=" & oRs("cParent") & """>" & GetTranslation("LANG_BACK") & "</a>" & vbCRLF
				CreateBottomTable ""
			End If
			oRs.Close
			Set oRs = Nothing
		End If

		rSQL = "SELECT cId, cTitle FROM categories WHERE cType=" & CATEGORY_TYPE_FILMS & " AND cParent=" & iCategoryParent & " ORDER BY cTitle"
		Set oRs = DBRecordSet(oCn, rSQL)

		If Not oRs.EOF Then
			If iCategoryParent = 0 Then
				CreateTopTable "SearchfilmsCategories", GetTranslation("LANG_FILMS") & " - " & GetTranslation("LANG_CATEGORIES")
			Else
				CreateTopTable "SearchfilmsCategories", GetTranslation("LANG_FILMS") & " - " & GetTranslation("LANG_SUB_CATEGORIES")
			End If
			Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
			iLine = 1
			iNum = 0

			While Not oRs.EOF
				If iNum Mod 2 = 0 Then
					Response.Write "  <tr class=""tableline" & iLine & """>" & vbCRLF
				End If
				rSQL = "SELECT Count(fID) FROM films WHERE fValid=1 AND fCategory=" & oRs("cID")
				Set oRs2 = DBRecordSet(oCn, rSQL)
				Response.Write "    <td width=""50%""><a href=""" & sURLPage & "?cat=" & oRs("cID") & """>" & Server.HTMLEncode(oRs("cTitle"))
				If oRs2(0) > 0 Then
					Response.Write " (" & oRs2(0) & ")"
				End If
				Response.Write "</td>" & vbCRLF
				If iNum Mod 2 = 1 Then
					Response.Write "  </tr>" & vbCRLF
					iLine = 1 + ((iLine-1) Xor 1)
				End If

				iNum = iNum + 1
				oRs2.Close
				Set oRs2 = Nothing
				oRs.MoveNext
			Wend
			If iNum Mod 2 = 1 Then
				Response.Write "    <td>&nbsp;</td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
			End If

			Response.Write "</table>" & vbCRLF
			CreateBottomTable ""
		End If

		oRs.Close
		Set oRs = Nothing
		oCn.close
		Set oCn = Nothing
	End Sub

	' Display a line to let users post their films
	' IN  : iCat : film category
	' OUT : -
	Sub DisplayAddfilms(iCat)
		If sPseudo <> "" Then
			CreateTable "AddMemberfilms", "", "<a href=""" & GLOBAL_SITE_FILMS_PAGE & "?do=new&cat=" & iCat & """>" & GetTranslation("LANG_ADD") & " - " & GetTranslation("LANG_FILMS") & "</a>", ""
		End If
	End Sub

	' Display add film's form
	' IN  : iCat (int) : film's category (table films, field fCategory)
	' OUT : -
	Sub EditMemberfilm(iCat)
		Dim oCn, oRs, rSQL
		Dim iVersion

		If sPseudo <> "" Then
			Set oCn = DBConnexion(DB_MAIN)

			rSQL = "SELECT cID, cTitle FROM categories WHERE cType=" & CATEGORY_TYPE_FILMS
			Set oRs = DBRecordSet(oCn, rSQL)

			If Not oRs.EOF Then
				Response.Write "<script language=""javascript"" type=""text/javascript"">" & vbCRLF
				Response.Write "  function confirmDo()" & vbCRLF
				Response.Write "  {" & vbCRLF
				Response.Write "     if (confirm('" & JSEncrypt(GetTranslation("LANG_CONFIRM")) & "'))" & vbCRLF
				Response.Write "     {" & vbCRLF
				'//ZALABARD HtmlArea 3.0
				Response.Write " " & AddHtmlArea_GetHTML("edition", "fDescription") & vbCRLF
				'// End Zalabard
				Response.Write "       document.edition.submit();" & vbCRLF
				Response.Write "     }" & vbCRLF
				Response.Write "  }" & vbCRLF

				If IsAuthorizedBin(ROLE_UPLOAD) Then
					Response.Write "  function uploadFile(elem)" & vbCRLF
					Response.Write "  {" & vbCRLF
					Response.Write "    if (elem != '')"
					Response.Write "	{" & vbCRLF
					Response.Write "		window.open('" & GLOBAL_SITE_PATH & GLOBAL_SITE_UPLOAD_PAGE & "?item=' + elem, 'File', 'width=500,height=100,menubar=no,resizable=no');" & vbCRLF
					Response.Write "	}" & vbCRLF
					Response.Write "  }" & vbCRLF
				End If

				Response.Write "</script>" & vbCRLF
				CreateTopTable "Editfilms", GetTranslation("LANG_ADD") & " - " & GetTranslation("LANG_FILM")
				Response.Write GLOBAL_SITE_SUBTABLE & vbCRLF
				Response.Write "<form name=""edition"" method=""post"" action=""" & sUrlPage & "?cat=" & iCat & """>" & vbCRLF
				Response.Write "<input type=""hidden"" name=""Do"" value=""add"">" & vbCRLF
				Response.Write "<input type=""hidden"" name=""fID"" value=""0"">" & vbCRLF
				Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
				Response.Write "    <td width=""150"">" & GetTranslation("LANG_FIELD") & "</td>" & vbCRLF
				Response.Write "    <td>" & GetTranslation("LANG_VALUE") & "</td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
				Response.Write "  <tr class=""tableline1"">" & vbCRLF
				Response.Write "    <td>" & GetTranslation("LANG_TITLE") & "</td>" & vbCRLF
				Response.Write "    <td><input name=""fTitle"" value="""" maxlength=""100"" size=""50"" class=""cell""></td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
				Response.Write "  <tr class=""tableline2"">" & vbCRLF
				Response.Write "    <td>" & GetTranslation("LANG_DATE") & "</td>" & vbCRLF
				Response.Write "    <td>" & GetDateDDMMYYYY(Now()) & "<input type=""hidden"" name=""fDate"" value=""" & DateTimeToString(Now()) & """></td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
				Response.Write "  <tr class=""tableline1"">" & vbCRLF
				Response.Write "    <td>" & GetTranslation("LANG_DESCRIPTION") & "</td>" & vbCRLF
				Response.Write "    <td>" & vbCRLF
				AddHTMLAREA	"fDescription", "", "400px", 60, 8, "cell", ""
				Response.Write "  </td></tr>" & vbCRLF
				Response.Write "  <tr class=""tableline2"">" & vbCRLF
				Response.Write "    <td>" & GetTranslation("LANG_URL") & "</td>" & vbCRLF
				Response.Write "    <td><input name=""fURL"" value=""http://"" maxlength=""250"" size=""50"" class=""cell"">" & vbCRLF
				If IsAuthorizedBin(ROLE_UPLOAD) And bAllowUploadfilms Then
					Response.Write "<a href=""javascript:uploadFile('document.edition.fURL')""><img src=""" & GLOBAL_SITE_IMAGES_PATH & "edit.gif"" border=""0""></a>"
				End If
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
				Response.Write "  <tr class=""tableline1"">" & vbCRLF
				Response.Write "    <td>" & GetTranslation("LANG_SIZE") & "</td>" & vbCRLF
				Response.Write "    <td><input name=""fSize"" value=""0"" maxlength=""10"" size=""10"" class=""cell""></td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
				Response.Write "  <tr class=""tableline2"">" & vbCRLF
				Response.Write "    <td>" & GetTranslation("LANG_CATEGORY") & "</td>" & vbCRLF
				Response.Write "    <td>" & vbCRLF
				Response.Write "      <select name=""fCategory"" class=""cell"">" & vbCRLF

				While Not oRs.EOF
					Response.Write "        <option value=""" & oRs("cID") & """"
					If oRs("cID") = iCat Then
						Response.Write " selected"
					End If
					Response.Write ">" & Server.HTMLEncode(oRs("cTitle")) & "</option>" & vbCRLF
					oRs.MoveNext
				Wend

				Response.Write "      </select>" & vbCRLF
				Response.Write "  <tr class=""tableline1"">" & vbCRLF
				Response.Write "    <td>" & GetTranslation("LANG_VERSION") & "</td>" & vbCRLF
				Response.Write "    <td>" & vbCRLF
				Response.Write "      <select name=""dVersion"" class=""cell"">" & vbCRLF

				rSQL = "SELECT vID, vCode FROM versions ORDER BY vCode"
				Set oRs = DBRecordSet(oCn, rSQL)

				While Not oRs.EOF
					Response.Write "        <option value=""" & oRs("vID") & """"
					If oRs("vCode") = sXMLVersion Then
						Response.Write " selected"
					End If
					Response.Write ">" & oRs("vCode") & "</option>" & vbCRLF
					oRs.MoveNext
				Wend

				Response.Write "      </select>" & vbCRLF
				Response.Write "    </td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
				Response.Write "  <tr class=""tablelinemain"">" & vbCRLF
				Response.Write "    <td colspan=""2""><input type=""button"" value=""" & GetTranslation("LANG_SUBMIT") & """ class=""button"" onClick=""confirmDo();"" id=1 name=1></td>" & vbCRLF
				Response.Write "  </tr>" & vbCRLF
				Response.Write "</form>" & vbCRLF
				Response.Write "</table>" & vbCRLF
				CreateBottomTable ""
			End If

			oRs.Close
			Set oRs = Nothing
			oCn.close
			Set oCn = Nothing
		End If
	End Sub

	' Add member's film (insert query)
	' IN  : sTitle (string) : film's title (table films, field fTitle)
	'     : sDate (string) : film add date (table films, field fDate)
	'     : sDescription (string) : film's description (table films, field fDescription)
	'     : sURL (string) : film's url (table films, field dURL)
	'     : iHits (int) : film's hits (table films, field fHits)
	'     : iSize (int) : film's size in kilobytes (table films, field fSize)
	'     : iCategory (int) : film's category (table films, field fCategory)
	'     : iVersion (int) : film's version language (table films, field dVersion)
	' OUT : (boolean) : True if added
	Function AddMemberfilm(sTitle, sDate, sDescription, sURL, iHits, iSize, iCategory, iVersion)
		Dim oCn, rSQL

		Set oCn = DBConnexion(DB_MAIN)
		rSQL = "INSERT INTO films (fTitle, fDate, fDescription, fURL, fHits, fSize, fCategory, fVersion, fValid) VALUES ('" & SQLEncrypt(sTitle) & "', '" & sDate & "', '" & SQLEncrypt(sDescription) & "', '" & SQLEncrypt(sURL) & "', 0, 0, " & iCategory & ", " & iVersion & ", 0)"
		DBExecute oCn, rSQL

		oCn.Close
		Set oCn = Nothing

		AddMemberfilm = True
	End Function

	' Process action
	' IN  : -
	' OUT : -
	Sub DofilmsPage()
		Dim iSize
		If Request.Form("do") = "add" And Request.Form("fTitle") <> "" Then
			iSize = Request.Form("fSize")
			If IsNumeric(iSize) And iSize <> "" Then
				iSize = CInt(iSize)
			Else
				iSize = 0
			End If
			If AddMemberfilm(Request.Form("fTitle"), Request.Form("fDate"), Request.Form("fDescription"), Request.Form("fURL"), 0, iSize, Request.Form("fCategory"), Request.Form("fVersion")) Then
				sInfoPage = GetTranslation("LANG_FILMS") & " - " & GetTranslation("LANG_ADD_SUCCESS")
			Else
				sInfoPage = GetTranslation("LANG_FILMS") & " - " & GetTranslation("LANG_ADD_ERROR")
			End If
		End If
	End Sub

	' Display page
	' IN  : -
	' OUT : -
	Sub DisplayfilmsPage()
		Dim bDisplayTop, iCat, ifilmID

		iCat = Request.QueryString("cat")
		If iCat <> "" And IsNumeric(iCat) Then
			iCat = CInt(iCat)
		Else
			iCat = 0
		End If

		ifilmID = Request.QueryString("id")
		If ifilmID <> "" And IsNumeric(ifilmID) Then
			ifilmID = CInt(ifilmID)
		Else
			ifilmID = 0
		End If

		DisplayfilmsNavigation(iCat)

		If ifilmID = 0 And iCat = 0 Then
			Response.Write "<table width=""100%"" align=""center"" border=""0"" cellspacing=""0"">" & vbCRLF
			Response.Write "  <tr>" & vbCRLF
			Response.Write "    <td valign=""top"" width=""50%"">" & vbCRLF
			DisplayTopfilms GLOBAL_FILMS_TOP, "date"
			Response.Write "    </td>" & vbCRLF
			Response.Write "    <td width=""10"">&nbsp;</td>" & vbCRLF
			Response.Write "    <td valign=""top"" width=""50%"">" & vbCRLF
			DisplayTopfilms GLOBAL_FILMS_TOP, "hits"
			Response.Write "    </td>" & vbCRLF
			Response.Write "  </tr>" & vbCRLF
			Response.Write "</table>" & vbCRLF
		Else
			If iCat <> 0 Then
				If Request.QueryString("do") = "new" Then
					EditMemberfilm(iCat)
				Else
					DisplayAddfilms(iCat)
					DisplayfilmsSearch(iCat)
				End If
			End If
			If ifilmID <> 0 Then
			Displayfilm(ifilmId)
				
			End If
		End If
	End Sub
%>